Version 1.6.3
=============

	Release date 2014-03-12

        - update to follow nautilus-action-3.2.3
        - for details see git commits

Version 1.6.2
=============

	Release date 2013-08-15

        - fix Copying-DOCS issue,  wrong-file-end-of-line-encoding

Version 1.6.1
=============

	Release date 2013-08-15

        - improve debug usage

Version 1.6.0
=============

	Release date 2012-11-29

        - removal of mateconf usage

Version 1.5.0
=============

	Release date 2012-11-21

        - update to nautilus-acions-3.2.2

Version 1.4.0
=============

	Release date 2012-09-06

         - first release for MATE-Destop


----------------------------------------------------------------------------------------

Gnome:

Version 3.2.2
=============

	Release date 2012-03-04

	Bug fixes:

		- Fix #671043 reported by Vincent Untz - Invalid desktop file.
		- Fix #671044 reported by Vincent Untz - Incorrect FSF address.
		- Fix #671083 reporteed by Pierre Wieser - Release tool takes bad package version.
		- Fix wrong display in tabs vs. the current selection in tree view.

	UI enhancements:

		- let the example label be expandable.

	Other modifications:

		- Bump FDL to 1.3 among all documentation.
		- Validate desktop file when making distcheck.

	New and updated translations:

		- es (Daniel Mustieles)
		- fr (Bruno Brouard)
		- sl (Matej Urbančič, Andrej Žnidaršič)

Version 3.2.0
=============

	Release date 2012-02-28

	Bug fixes:

		- Make labels wrappable in import/export assistants
		- Fix vertical expand in Preferences dialog
		- Fix the build of the Reference Manual
		- Destroy the assistants toplevels when quitting
		- Force GConf I/O provider to be read-only after the migration
		- Release the object whose importation has been cancelled
		- Fix return value of NactApplication::appli_create_windows()
		- Fix micro leak in nact_clipboard_dnd_drag_end()
		- Partially fix #667429 reported by Daniel Mustieles
		  Are this strings translatable? (nact-doc)
		- Fix #668181 reported by Vincent Untz
		  User documentation and gtk-doc documentation not installed by default
		- Fix #670434 reported by Vincent Untz
		  Should check for ice pkgconfig in configure
		- Partially fix #622909 reported by André Klapper
		  Migrate from dbus-glib to glib's GDBus
		- Fix na_factory_object_copy(), not trying to copy null data
		- Fix main window destroy process
		- Fix NATokens::execute_action_command() parsing working dir for parameters
		- Fix src/plugin-menu/nautilus-actions.c only expanding candidate items
		- Fix NadpReader, resetting the writability status if import source is read-only
		- Fix NAImporterAsk, resetting dialog pointer when parent exits
		- NactMenubar: no more keep a recursive ref on the selection
		- NABoxed::string_list_from_void(): keep string lists in the same order
		- Check if action is writable when deleting a profile
		- Enable basenames, capabilities, folders, mimetypes and schemes tabs
		  if a context is available

	API modifications:

		- Bump NAIExporter interface to version 2
		- Bump NAIImporter interface to version 2

	Other modifications:

		- Bump minimal required Gtk+ version to 2.20 (Ubuntu 10 LTS)
		- Review the description of the export formats
		- Let import/export assistants pages be scrollable
		- Let the export format be selected in a treeview
		- Let the import mode be selected in a treeview
		- Review NactApplication startup
		- Bump copyright year in all source files
		- src/utils/na-gconf2key.sh.in: defines new '--admin' option
		- Requires gtk-doc 1.16 to build Reference Manual
		- base_window_init() now holds all the build process
		- Set "Relying on runtime detection" as default in "Runtime execution" tab
		- Get rid of GQuark as internal identifier of export format
		- NactMatchList connects to base signals (and acts as a pseudo-interface)
		- na_desktop_environment_detect_running_desktop(): detect XFCE desktop
		- Let the notebook tabs position be modified by the user
		- NactTreeView: open the context menu with keybindings

	New interfaces:

		- NAIOptions, NAIOptionsList
		- BaseIUnique, BaseISession
		- Tracker DBus interface is renamed as org.nautilus_actions.DBus.Tracker.Properties1

	New functions:

		- na_core_utils_dir_list_perms(), na_core_utils_file_is_loadable()
		- na_export_format_get_pixbuf()
		- na_importer_import_from_list() renamed as na_importer_import_from_uris()
		- na_gtk_utils_search_for_child_widget() renamed as na_gtk_utils_find_widget_by_name()
		- nact_export_format_get_ask_option() renamed as na_exporter_get_ask_option()
		- na_exporter_get_export_format()
		- nact_tree_ieditable_set_items()
		- na_desktop_environment_get_label()
		- base_gtk_utils_table_to_grid()

	New and updated translations:

		- cz (Marek Černocký)
		- de (Mario Blättermann, Christian Kirbach)
		- es (Daniel Mustieles, Nicolás Satragno)
		- fr (Bruno Brouard)
		- ja (Jiro Matsuzawa)
		- nb (Kjartan Maraas)
		- sl (Matej Urbančič)

Version 3.1.5
=============

	Release date 2011-12-09

	Bug fixes:

		- Fix test against nautilus_menu_provider_get_toolbar_items()
		- Fix #660399 part reported by Gabor Karsay
		  'Regarding' is replaced by 'regardless'
		- Fix #660399 part reported by Christian Kirbach
		  NACT user's manual fixes
		- Fix #661498 reported by Christian Kirbach
		  [doc] couple of spelling and grammar fixes
		- NactAssistantImport: adapt to the new way gtk+3 builds the assistant
		- NactAssistantExport: adapt to the new way gtk+3 builds the assistant
		- NadpReader and NAXMLReader now return all messages to the caller
		- NactExportAskUser: do not export if the operation is cancelled by the user
		- NAXMLReader: only search for identifier in <applyto> schema key
		- NAObjectItem: do not let an item with an empty label go to the UI
		- NAImporterAsk: fix z-order
		- Reference Manual: fix Makefile when builddir not equal to srcdir
		- check-headers.sh: fix Makefile when builddir not equal to srcdir
		- Manuals: fix the test for building even for not-default values
		- Work-around against #664768 reported by Pierre Wieser
		  pdflatex cannot generate some localized pdf
		- GtkDialogs: remove (deprecated since 2.22) 'has_separator' property
		- Fix coredump when trying to import an empty file by DnD
		- Fix permissions when creating the configuration directory
		- NAIContext: fix scheme test
		- NAIContextFactory: fix mimetype and scheme default values
		- NadpReader, NAXMLReader: make sure an action has at least one profile
		- NAXMLWriter: output lists in GConf format
		- Fix item deletion when not yet written to a backend

	Other modifications:

		- Remove set but unsused variables
		- Get ride of deprecated GtkHBox and GtkVBox
		- Add new function base_window_dump_children()
		- Be able to run autogen.sh from another directory
		- Bump copyright year in Reference Manual
		- No more requires gtk-doc to build the distribution
		- No more try to rebuild manuals when making distcheck
		- gtk-doc and gnome-doc-utils are no more mandatory when building
		  from the distributed sources
		- Explicitely disable scrollkeeper when making distcheck
		- Defaults now to build in _build and to install in _install
		  (much more convenient when testing in several distributions)
		- Only reference minor version in 'Since:' and 'Deprecated' comments
		- XML reader: get ride of error message if the imported file is not an XML one
		- NactAssistantExport: let the format selection be scrolled
		- Try to limit window size to usable screen
		- NadpDesktopFile: minimize warnings on import
		- NactAssistantExport: remove useless 'name' entry field
		- Use gtk_misc functions instead of direct xpad, xalign properties
		- NAImporterAsk: now cancel on Esc key
		- NadpReader, NAXMLReader: do not try to import not loadable files
		- NadpReader, NAXMLReader: return a synthetic message if cannot handle the uri
		- NAImporterAsk: keep window size and position between invocations
		- na_core_utils_dir_list_perms(): new function
		- Change import default mode and export default format to 'Ask'
		- nact_match_list_insert_new_row: now defaults to 'match'

	New and updated translations:

		- cs (Marek Černocký)
		- de (Mario Blättermann, Christian Kirbach)
		- es (María Majadas, Daniel Mustieles, Juan Matías Olmos)
		- sl (Matej Urbančič)
		- zh_CN (YunQiang Su, Yinghua Wang)

Version 3.1.4
=============

	Release date 2011-07-03

	Bug fixes:

		- Fix #649796 reported by Pierre Wieser
		  Migration tool doesn't automatically run
		- Fix #650523 reported by Stefano Cerutti
		  Remote filenames are no more reachables
		- Fix #651911 reported by Gaston Dassieu-Blanchet
		  3.1.2 treats "isdir" differently than 2.30.2
		- Fix #652664 reported by Christian Kirbach
		  [doc] couple of spelling and improvement suggestions

	Other modifications:

		- tools/release-tarball.sh: Updated for new Gnome ftpadmin script
		- do not try to import a null or empty list of items
		- keep GConf readable even after migration to Desktop

	New and updated translations:

		- es (María Majadas, Daniel Mustieles)

Version 3.1.3
=============

	Release date 2011-05-20

	Bug fixes:

		- Fix #649726 reported by Kyle Amadio
		  Nautilus-Actions Configuration Tool - cannot edit items
		- Fix #649796 reported by Stefano Cerutti
		  Migration tool doesn't automatically run
		- Fix #650523 reported by Stefano Cerutti
		  Remote filenames are no more reachables 

	Other modifications:

		- Do not build test programs in release mode
		- Add a dependency on /bin/ksh for the migration and the
		  release scripts

	New and updated translations:

		- de (Christian Kirbach)
		- es (Jesse Avilés, Javier Mazorra, Daniel Mustieles)
		- fr (Bruno Brouard)
		- it (Claudio Arseni, Luca Ferretti)

Version 3.1.2
=============

	Release date 2011-03-11

	Bug fixes:

		- Work-around for #644289 reported by scape@web.de
		  mplayer started via action freezes up afer short time.
		- Fix DisplayOutput execution mode.

	New and updated translations:

		- cs (Marek Černocký)
		- de (Mario Blättermann)
		- es (Jorge González, Sylvia Sánchez)
		- sl (Matej Urbančič, Andrej Žnidaršič)

Version 3.1.1
=============

	Release date 2011-02-26

	Bug fixes:

		- Fix #643359 reported by Götz Waschk
		  nautilus fails to start caused by undefined symbol.

	New and updated translations:

		- es (Jorge González)

Version 3.1.0
=============

	Release date 2011-02-25

	General modifications:

		- Migrate menus, actions (resp. user preferences) from GConf to .desktop
		  files (resp. keyed files). Please read README-GCNF.
		- nautilus-actions-schemas in renamed as na-print-schemas and installed
		  in PKGLIBEXECDIR.
		- Two new executables na-delete-xmltree and na-gconf2keys.sh are also
		  installed in PKGLIBEXECDIR.
		- New user preferences are installed respectively as
		  SYSCONFDIR/xdg/nautilus-actions/nautilus-actions.conf and
		  ~/.config/nautilus-actions/nautilus-actions.conf.
		- Implement a new icon chooser, which lets the user select a themed
		  icon or an icon by path.
		- Preferences dialog is now reopened on the last used tab.
		- Define a new NATimeout public structure.
		- Add --enable-gconf configure option, defaulting to "auto".
		- Add --enable-deprecated configure option, defaulting to "no".
		- nautilus-actions-new now implements all available properties.
		- Currently running desktop environment is not detected at runtime
		  when not specified as a user preference.
		- Plugin menu can now be debugged from a user preference.
		- Implements ExecutionMode (in a terminal, display output).
		- Disable not yet implemented fields in NACT.

	Internal modifications:

		- Lot of code rewriting:
		  . define all GConf writing functions as deprecated;
		  . NactIActionsList interface is moved to NactTreeView class plus
		    NactTreeIEditable interface;
		  . user preferences are managed via a NASettings singleton;
		  . BaseApplication and BaseWindow;
		  . NactMenubar: new convenience class;
		  . fully deprecate NAIPivotConsumer interface;
		  . NactSortButtons: new convenience class;
		  . NADataBoxed now derives from new NABoxed class;
		  . modification stack;
		  . validity stack;
		  . writability stack;

	Bug fixes:

		- Fix various mistakes and mispellings reported by Fr translation team.
		- Fix #640216: string errors reported by Christian Kirbach.
		- Fix #640920: string errors reported by Christian Kirbach.
		- Fix case insensitive comparison reported by Johan Spee.
		- No more try to convert all/allfiles to something else.

	New and updated translations:

		- cs (Marek Cernocky)
		- de (Mario Blättermann, Christian Kirbach) 
		- es (Jorge González)
		- fr (Bruno Brouard)
		- nb (Kjartan Maraas)
		- sl (Matej Urbančič, Andrej Žnidaršič) 

Version 3.0.7
=============

	Release date 2011-01-19

	General modifications:

		- Configuration now enables silent rules by default.
		- Add a new 'check-headers.sh' pre-release tool to check for the
		  completeness of header files.
		- Add a new 'run-distcheck.sh' tool to make distcheck easier.

	Bug fixes:

		- Fix various mistakes and mispellings reported by Fr translation team.
		- Use gettext() to display localized static strings.
		- Initialize translation domain for GOptionContext.
		- Fix localizable strings.
		- Remove deprecated references to the UUID.
		- Setup parent window when displaying a dialog box.

	New and updated translations:

		- cs (Marek Cernocky, Andre Klapper, Petr Kovar)
		- es (Daniel Mustieles)
		- fr (Gérard Baylard, Bruno Brouard, Nicolas Repentin)
		- sl (Matej Urbančič, Andrej Žnidaršič) 

Version 3.0.6
=============

	Release date 2011-01-07

	General modifications:

		- Use GTK_CHECK_VERSION() macro when appropriate.
		- Better specify that --enable-html-manuals (resp. pdf) are for user's
		  manuals.
		- Add ChangeLog-2010 to the distribution.

	Bug fixes:

		- Re-Fix #638278 - Properly quotes filenames
		  (reported by Johan Spee).
		- Only quote parts of filenames which are to be submitted to a shell,
		  not those who are to be displayed.
		- Fix #638548 - Spelling and syntax mistakes in UI strings
		  (reported by Christian Kirbach).
		- The About dialog is now centered relatively to the main window.
		- The 'working directory' parameter is now honored when running an
		  action.

	New and updated translations:

		- sl (Matej Urbančič, Andrej Žnidaršič)
		- sv (Daniel Nylander)

Version 3.0.5
=============

	Release date 2011-01-01

	General modifications:

		- Nautilus-Actions is set as the "official" name of the application.

	Modifications in Nautilus-Actions Configuration Tool:

		- Button arrows in I/O Providers Preferences tab are reset so that
		  the Up button has an upward arrow, and the Down button has a
		  downward arrow.
		- Browse buttons now use the 'gtk-find' stock icon instead of the
		  inappropriate 'gtk-find-and-replace'.
		- Update the NACT User's Manual to reflect last changes.

	Bug fixes:

		- Fix pathname breakdown for 'x-nautilus-desktop:///' URI.
		  Fix #638450 - Nautilus crashes when opening Trash or Network
		  reported by György Balló and Ionut Biru.
		- Fix #638461 - Stock icons are no more displayed in NACT.

Version 3.0.4
=============

	Release date 2010-12-30

	Modifications:

		Nautilus-Actions Configuration Tool

		- Change window title as 'label - application'.
		- Review user interface tooltips.
		- Add --enable-as-needed configure option to be able to mimic Gentoo
		  configuration (cf. #637797).

	Bug fixes:

		- Improve writing of locale strings in .desktop files for languages
		  other than 'en'.
		- Fix reference doc generation for gtk-doc >= 1.15.
		- No more write the encoding part of the locale in the .desktop
		  file.
		- Convert 'all/allfiles' mimetype to 'all/all' + 'file' scheme.
		- Allow duplication of items based on .desktop files.
		- Apply Mathias Clasen patch to EggSMClient to build against Gtk+
		  2.91.7.
		- Fix #638278 - Properly quotes filenames
		  (reported by Johan Spee).
		- Fix #638272 - Keep the same order than Nautilus
		  (reported by Johan Spee).
		- Get ride of 'relocation R_X86_64_32 against .rodata.str1.8'
		  message (Fedora 14 - 64bits).
		- Fix #637797 - Build core and plugin libraries against their
		  dependancies
		  (reported by dabbott@gentoo.org and Ionut Biru).
		- Fix #634056 - Create 'hidden' actions
		  (reported by Andreas Heinlein).

	New and updated translations:

		- cs (Marek Černocký, Andre Klapper, Petr Kovar)
		- es (Jorge González)

Version 3.0.3
=============

	Release date 2010-12-20

	Modifications:

		- Add --enable-silent-rules option to configure;
		  this is disabled by default;
		  enabled when building the distributed tarball.
		- Add --with-gtk=[2|3|auto] option to configure.
		- NACT User's Manual: review 'Note' vs. 'Tip' usage.
		- Generate the API Reference Manual.

	Bug fixes:

		- Improve save process when an error is detected on a deleted
		  item.

	New and updated translations:

		- de (Mario Blättermann)
		- es (Jorge González)
		- sl (Matej Urbančič, Andrej Žnidaršič)

Version 3.0.2
=============

	Release date 2010-12-03

	Modifications:

		- Add %o/%O no-op parameters in order to be able to force the
		  multiple execution (cf. DES-EMA specification v 0.15).
		- Running with NAUTILUS_ACTIONS_DEBUG environment variable set
		  display debug messages.
		- The default I/O provider may be chosen at configure time,
		  and defaults to 'na-desktop'.
		- Display a summary of configuration options at configure time.
		- Add a preview when selecting an icon.

	Bug fixes:

		- Fix #616532 - Can't select directory in the Nautilus-Actions export
		  assistant while browsing it with a GtkFileChooserWidget
		  (reported by Sense Hofstede).
		- Fix #632992 - Add comment about default value translation
		  (reported by claude Paroz).
		- Fix #633439 - Make menu items, ttoltips etc. translatable
		  (reported by Andreas Heinlein).
		- Fix #634056 - Create 'hidden' actions
		  (reported by Andreas Heinlein).
		- Fix #635521 - Translatable sentences of the *.ui files don't appear
		  in .po file (reported by Geodebay@gmail.com)
		- Include non translated figures in translated HTML and PDF manuals
		  (no not distribute them).
		- Include and distribute admon-* icons in HTML manuals.
		- Fix the display of icons in Nautilus toolbar when the same action
		  is also displayed in location or selection context menu.
		- Do not allow actions list to be fully shrinked.

	New and updated translations:

		- ca (Carles Ferrando, Gil Forcada)
		- es (Jorge González)
		- eu (dooteo, Inaki Larranaga Murgoitio)
		- he (Yaron Shahrabani)
		- pt_BR (Djavan Fagundes)
		- sl (Matej Urbančič, Andrej Žnidaršič)

Version 3.0
===========

	Release date 2010-09-24

	Modifications:

		- --enable-html-manuals and --enable-pdf-manuals configure options
		  have been updated to accept the conversion programme as an argument;
		  --with-db2html and --with-gdt configuration options have so been
		  removed.

	Bug fixes:

		- Fix HTML and PDF user's manuals build and distribution.
		- Fix a warning when overriding GTKDOC_RUN.

	New and updated translations:

		- cs (Marek Cernocky, Petr Kovar)
		- de (Mario Blättermann)
		- es (Jorge González)
		- sl (Matej Urbančič, Andrej Žnidaršič)
		- zh_CN (Aron Xu)

Version 2.99.5
==============

	Release date 2010-08-23

	Bug fix:

		- Do not try to build a Nautilus menu when there is no info available.

Version 2.99.4
==============

	Release date 2010-08-23

	Enhancements:

		- Replace GtkLabel vith GtkTextView in import and export assistants
		  summary.
		- Converts pre-v2 '%d/%f' to v3 '%f'.
		- Improve robustness of tokens parsing.

	Bug fixes:

		- Fix PDF manual build and distribution.
		- Accepts null or empty input string or output pointers.
		- Fix default int value when reading null string.
		- Do not warn about malformed .desktop file when importing an URI.
		- Path+parameters are splitted whatever be the I/O importer.
		- Fix typos in sample actions.
		- Fix mimetypes and folders selection.
		- Fix basename check when matchcase is false.
		- Address each occurrence of selected instead of just the first one.
		- Take care of possibly NULL values when run from the command-line
		  (reported by Юрий Пухальский)
		- Do not overexpand the example label.

	New and updated translations:

		- es (Bryan Alberto Baron Chinchilla, Jorge González)
		- sl (Matej Urbančič, Andrej Žnidaršič)

Version 2.99.3
==============

	Release date 2010-08-16

	Bug fixes:

		- Fix #627021 reported by Götz Waschk
		  (uninitialized variable in na-icontext.c)
		- Fix manuals cleanup in Makefile

Version 2.99.2
==============

	Release date 2010-08-15

	Enhancements:

		- Implement gtk-doc.
		- Distribution now includes
		  . API and NACT documentation.
		  . some example of actions.

	Bug fixes:

		- Converts v2 %f parameter to v3 %b.
		- Fix Makefile.am's to make distcheck.
		- Fix writing of locales to .desktop files.
		- No more consider profile name as mandatory.
		- Allow the writing of empty data.
		- Let the UI immediately reacts when the status of an I/O provider changes.
		- Data for a read-only item is no more modifiable.
		- Fix XML import of localized vs. unlocalized old data.
		- Fix 'parent is not an action' error on XML import.
		- Fix sensitivy of startup fields vs. execution mode.
		- Fix incorrect handling of list conditions.
		- Fix incorrect setting of icon path in GConf.
		- Fix regression when displaying a path-based icon.

	New and updated translations:

		- de (Mario Blättermann)
		- sl (Matej Urbančič, Andrej Žnidaršič)
		- sv (Daniel Nylander)

Version 2.99.1
==============

	Release date 2010-08-07

	Enhancements:

		- NACT now implements an auto-save feature.
		- Display sort indicator in condition lists.
		- Some sort of user's manual is connected to NACT help.

	Other modifications: 

		- Help shortcut is now F1 (no more Ctrl+H).

	Bug fixes:

		- Implement multiple execution.
		- Implement all filter conditions.
		- Fix a crash when defining a positive assertion.
		- Fix wrong insertion of an action or a menu inside an action.
		- Fix capabilities frame title consistency.
		- Fix bad reinitialization of the icon item.

	New parameters:

		- %m: (first) mimetype.
		- %M: space-separated list of mimetypes.

	New and updated translations:

		de (Mario Blättermann)
		es (Jorge González)
		sl (Andrej Žnidaršič, Matej Urbančič)

	Note that this version may not be fully fonctionnal. In particular,
	Nautilus menu plugin may not yet honor all new conditions.
	
	Note also that due to the renaming of some parameters, actions or menus
	created / updated with this version may not be compatible with previous,
	older, ones.
	
Version 2.99.0
==============

	Release date 2010-07-29

	Major enhancements:

		- Implement the .desktop file specifications as described at
		  http://www.nautilus-actions.org/?q=node/377 ; this new storage
		  format is shareable with most common willing-to desktop 
		  environments (KDE, XFCE, etc.)

		- Implement new properties, both in GConf and .desktop files:
		  . a description of the item
		  . a suggested shortcut for both action and menu
		  . profile may specify an execution mode
		  . command may specify the user which should run it
		  . the 'accept-multiple-files' flag is replaced with a count selector

		- Conditions apply now both to actions, profiles and menus. They have
		  been extended to include:
		  . choose/refuse a particular target environment
		  . specify a pre-requirement
		  . only appears if a DBus service is registered
		  . only appears if an external command displays "true"
		  . only appears if a process is running
		  
		- Most of list may have negated assertions : mimetypes, folders,
		  schemes, basenames, capabilities.

	New parameters:

		- %b: (first) basename
		- %B: space-separated list of basenames (was %m)
		- %c: count of selected items
		- %D: space-separated list of base directory of each selected items
		- %F: space-separated list of selected file names (was %M)
		- %h: hostname of the (first) URI
		- %n: username of the (first) URI (was %U)
		- %U: space-separated list of selected URIs
		- %w: (first) basename without the extension
		- %W: space-separated list of basenames without their extension
		- %x: (first) extension
		- %X: space-separated list of extensions

		Renamed parameters (%m, %M and %U) are dynamically taken into
		account when Nautilus-Actions loads the action. They are 
		automatically updated at write/export time.

	UI modifications:

		- Each type of conditions has now its own tab

	Bug fixes:

		- Fix #325523 reported by GrumZ
		  (Add the possibility to define a fixed number of file selected)
		- Fix #325590 reported by Frederic Ruaudel
		  (Removable storage context menus)
		- Fix #330610 reported by Olive
		  (Permissions as conditions)
		- Fix #339533 reported by Frederic Ruaudel
		  (Possibility to run the command provided for each selected files)
		- Fix #339534 reported by Frederic Ruaudel
		  (Possibility to have the list of files without their extensions)
		- Fix #566383 reported by Nathan Middleton
		  ("Appears if selection contains" options expanded)
		- Fix #607820 reported by D.
		  (A case for using gvfs-info attributes matching)
		- Fix #616477 reported by Thomas Oster
		  (Add possibility to filter by folder content)
		- Fix #621410 reported by Bruno Guerreiro
		  (Nautilus-Actions doesn't respect folders)

	New and updated translations:

		de (Mario Blättermann, Christian Kirbach)
		es (Jorge González)
		he (Yaron Shahrabani)
		lt (Gintautas Miliauskas)
		sl (Andrej Žnidaršič, Matej Urbančič)

	Note that this version may not be fully fonctionnal. In particular,
	Nautilus menu plugin may not yet honor all new conditions.
	
	Note also that due to the renaming of some parameters, actions or menus
	created / updated with this version may not be compatible with previous,
	older, ones.
	
Version 2.30.3
==============

	Release date 2010-06-10

	Bug fixes:

		- Fix #617058 reported by brunogirin@gmail.com
		  (Do not add extraneous blanks when parsing parameters)
		- Fix #618110 reported by Claude Paroz
		  ( Factorize strings for translators)
		- Fix bug reported by Dr Amr Osman
		  (Do not add extraneous blanks when parsing parameters)

	Other modifications:

		- Do not reload already loaded profiles.
		- Reset action to last version number after conversion from pre-v2.

	New and updated translations:

		cs (Petr Kovar)
		de (Mario Blättermann)
		es (Jorge González)
		fr (Claude Paroz)
		gl (Fran Diéguez)
		pt_BR (Daniel S. Koda, Rodrigo Flores)
		sl (Andrej Žnidaršič, Matej Urbančič)

Version 2.30.2
==============

	Release date 2010-04-14

	Bug fixes:

		- Fix #615646 reported by Deji Akingunola
		  (Nautilus crashes when trash icon is right-clicked)
		- Fix #615807 reported by anibalf@gmail.com
		  (Crash in Open Folder)
		- Fix GLib assertions when parsing parameters, using null values
		- Duplicate the profile attached to the Nautilus menu item, rather than
		  adding a new reference; then do not try to unref its parent
		- Increment the reference count of the returned GFile location, so that
		  it may be safely unreffed when parsing profile parameters
		- Fix incorrect plugins log domains

	Other modifications:

		- Implement more of the future .desktop files.
		- Refactor NAIContextual class as NAIContext.
		- DBus interface na_tracker_dbus_get_selected_paths() now brings up
		  both the URI and the Nautilus mimetype of selected items to the caller.

	New and updated translations:

		es (Jorge González)
		lt (Gintautas Miliauskas)

Version 2.30.1
==============

	Release date 2010-04-09

	Enhancements:

		- Slightly relax the validity rules of a profile, so that already
		  existing actions may be still considered as valid, even when 
		  commands do not use an absolute path.

		- Current position and folder of icons chooser dialog are now saved.

	Bug fixes:

		- Fix #614595 reported by Sense Hofstede
		  (Not all icons displayed in the nautilus-actions-config-tool)
		- Fix #614596 reported by Sense Hofstede
		  (Nautilus-Actions' actions don't show up in context menus)
		- Do not prevent the export assistant to actually export items
		- Do not let a user untoggle a sort button
		- Do not mark the main window modified when first loading an empty set
		- Folders are definitively a list of paths
		- Also load items which are only described via their schemas
		- Only set defaults on non yet allocated data
		- Parent is not always an action, may be a menu
		- Also delete embedded schema names from GConf entries
		- Monitors GConf schemas

	Code enhancement:

		- No more use GTK_WIDGET_IS_SENSITIVE macro after Gtk 2.20

	Other modifications:

		- Menu plugin is renamed as libnautilus-actions-menu.so

	New and updated translations:

		cs (Marek Černocký, Andre Klapper)
		es (Jorge González)
		sl (Andrej Žnidaršič, Matej Urbančič)

Version 2.30.0
==============

	Release date 2010-03-26

	Enhancements:

		- Immplement full NautilusMenuProvider interface.
		- Allow the user to define a full hierarchy of menus and actions.
		- Implement full drag and drop.
		- Implement full cut/copy/paste clipboard support.
		- Allow an administrator to lock all the configuration.
		- Fully manage readonly items.

	Bug fixes:

		- Fix #614382 reported by Wolter Hellmund
		  (Nautilus-Actions won't open)

	New and updated translations:

		cs (Marek Černocký, Petr Kovar, Andre Klapper)
		de (Mario Blättermann, Christian Kirbach)
		es (Jorge González, Ricardo Varas)
		eu (Inaki Larranaga Murgoitio)
		fr (Claude Paroz)
		nb (Kjartan Maraas)
		sl (Andrej Žnidaršič, Matej Urbančič)

Version 2.29.4
==============

	Release date 2010-01-23

	Enhancements:

		- Allow default schemes to be parameterized in the NACT user
		  interface.

	Bug fixes:

		- Fix #607218 reported by Pierre Wieser
		  (default vbox orientation in glade XML definition files).
		- Fix #607704 reported by Sense Hofstede
		  (use GtkBuildable interface instead of 'name' field).
		- Fix toolbars relative position.

	New dependancies:

		dbus-glib-1 (required by tracker Nautilus plugin).

	New and updated translations:

		cs (Marek Černocký, Petr Kovar, Andre Klapper)
		de (Mario Blättermann)

	Please note, that for now, the new Desktop I/O provider is only
	available in maintainer mode, as it is far to be ready for a
	production use.

Version 2.29.3
==============

	Release date 2010-01-05

	Enhancements:

		- Display the writability status in the status bar; the image
		  itself comes with a dynamic tooltip which describes the origin
		  of the status.
		- Homogeneize syslog initialization messages.
		- Let the I/O provider set specific data into NAObjectItem.
		- Make the toolbars detacheable.

	Bug fixes:

		- Fix write/delete operations in NAIIODesktopProvider.
		- No more display the Export icon in the toolbar (no icon).
		- Use correct printf format; use -Wformat=2 gcc option to prevent
		  future bugs (reported by "Miler" <acidrums4@gmail.com>).
		- Substitute gtk_cell_layout_get_cells to obsoleted
		  gtk_tree_view_column_get_cell_renderers.

	New and updated translations:

		es (Jorge González)
		fr (Bruno Brouard, Claude Paroz)
		sl (Andrej Žnidaršič, Matej Urbančič)

	Please note, that for now, the new Desktop I/O provider is only available
	in maintainer mode, as it is far to being ready for a production use.

Version 2.29.2
==============

	Release date 2009-12-16

	This version brings up several major enhancements:

		- An API is defined, which let us have more than one I/O provider;
		  this prepare in particular the arrival of a desktop I/O provider.

		- GConf I/O provider is now a dynamically loaded plugin.

		- Gracefully manage the read-only items, whether the action has
		  been made mandatory by a sysadmin, or the I/O provider
		  being itself not writable at all.

		- Ability to assign a keyboard accelerator to a predefined action
		  via the nautilus-actions-run new program.
		  nautilus-actions-run will automagically take into account the
		  current Nautilus selection and apply it to your action (#435820
		  reported by Frederic Ruaudel).

		- Let actions be defined to appear in Nautilus toolbar (#110288
		  reported by danny_milo@yahoo.com).

		- Let a sysadmin lock down its configuration by setting a mandatory
		  GConf key "/apps/nautilus-actions/mandatory/na-gconf/locked" to
		  true (#325520 reported by Frederic Ruaudel).

	Other enhancements:

		- Ask the user for a confirmation on session ending when there
		  is not yet saved modifications.
		- nautilus-actions-config-tool (NACT) is no more tied to a
		  single instance: '--non-unique' argument let the user
		  run several instance.
		- When exporting, export the current content of Actions list.
		- Define two new user preferences for assistants management.
		- Update nautilus-actions-new to be able to define actions which
		  target toolbar and folder menus.
		- Add '--version' command-line argument to all programs:
			. nautilus-actions-config-tool
			. nautilus-actions-new
			. nautilus-actions-schemas.
		- Add mnemonics to target radio button labels in Action tab.
		- Only set foreground color for normal state.
		- Implement keyboard accelerators in Folders listview.
		- Implement keyboard accelerators in Advanced conditions tab.
		- As an help to bug reporter, displays GLib and Gtk+ current
		  versions on '--version' argument.

	Bugfixes:

		- Propagate default values to imported actions.
		- Fix dialog title not reset after save.
		- Fix the item counters when importing.
		- Fix a typo in Import tab of Preferences dialog.
		- Add plural mark in the Preferences dialog.
		- Fix memory leaks in Action tab.
		- Fix memory leaks in Advanced conditions tab.
		- Only tries to setup folders when there is a current profile.
		- Only setup toolbar label when current item is an action.
		- Safely handle signal deconnexions.
		- na_xml_writer_output_xml() now returns error messages.
		- Fix #599913 reported by Vincent (unable to create an action).
		- Fix #600712 reported by Deji Akingunola
		  (crash in nautilus-actions-config-tool).

	Architecture modifications:

		- Private and runtime libraries are now dynamic libraries.
		- A Nautilus-Actions development environment might be set for
		  developing new plugins.
		- Nautilus-Actions plugins are installed in PKGLIBDIR (for now,
		  libna-io-provider-desktop.so and libna-io-provider-gconf.so).
		- New nautilus-actions-run command-line program.
		- New libnautilus-actions-tracker Nautilus extension.
		- Removed useless gthread dependancy.

		Please note, that for now, the new Desktop I/O provider is
		only available in maintainer mode, as it is far to being
		ready for a production use.

	New and updated translations:

		de (Mario Blättermann, Christian Kirbach)
		es (Jorge González)
		pt (António Lima)
		sl (Andrej Žnidaršič)
		sv (Daniel Nylander)
		ta (ifeli)
		te (krishnababu k)

Version 1.12.3
==============

	Release date 2009-11-07

	This is the third bugfix release of the 1.12 serie.

	Bugfixes

		#599520 reported by Antonio Lima (do not mark author names for
		translating)
		#600712 reported by Deji Akingunola (NACT crashes on export)
		#599913 reported by Vincent (menubar is not visible)

	Other Code enhancements

		Remove terminating dot from radio button labels.

		Make the assistants transient relatively to the main window.

		Initialize console utils log handlers.

		Use XML markup to print messages embedding XML tags.

		Fix copy of profiles of an action by reinitializing the target
		list of profiles before duplicating the source one.

	New and updated translations

		None at this time.

Version 2.29.1
==============

	Release date 2009-10-25

	This version brings up several major enhancements :
	- implements full API as defined for use by Nautilus menu extensions :
	  this let the user define items which will be available when there is
	  no selection, and will apply to current folder, either as a 'folder'
	  menu or in the toolbar ;
	- the ability for the user to define a full hierarchy of actions
	  with menus, submenus, and so on ;
	- drag and drop ;
	- full cut/copy/paste clipboard support.

	Other enhancements :
	- items are freely reorderable ;
	- an 'About Nautilus-Actions' item can be added to Nautilus menus ;
    - preferences can be edited through the NACT user interface ;
	- actions can be imported and exported by drag and drop ;
	- one toolbar is defined for each menu, and can be displayed in NACT ;
	- let the user quit the assistants with Cancel without emitting a
	  warning ;
	- remove terminating dot from radio button labels ;
	- when importing, let the user be asked for its preferred import mode ;
	- when exporting, let the user be asked for its preferred export format ;
	- summary pages in import and export assistants have been enhanced ;
	- checks the unicity of an imported action against those just imported
	  in the same session ;
	- let the labels be edited in place in Actions list ;
	- define F2 as a keyboard accelerator for in-place edition ;
	- save even non-valid items
	- requires rather a command that a label for a profile to be valid.

	Bugfixes

		#325528 reported by Frederic Ruaudel (bloated  contextual menu)
		#325587 reported by Frederic Ruaudel (drag & drop support)
		#326699 reported by Frederic Ruaudel (action items do not remain
				in user defined order)
		#353353 reported by Frederic Ruaudel (check if command exist
				and if not warn user)
		#588482 reported by Sean (ordering in actions list)
		#590400 reported by Pierre Wieser (have some sort of warnings in
				the ui)
		#599520 reported by António Lima (do not mark authors names and
				emails for translating)

	Various code enhancements

		- code has been reachitectured to better distinguish between
		  code required by plugin from those only required by NACT,
		  thus creating two 'runtime' and 'common' convenience libraries
		- validity and modification status checking has been optimized
		- all dialogs are now transient relatively to the main window
		- a window may have its own XML UI definition file while sharing
		  the common GtkBuilder object
		- fix reference count in tree stores
		- no more consider NAUTILUS_ACTIONS_CONFIG_VERSION as a
		  configure.ac variable
		- all subitem lists are moved from GSList to GList (more
		  efficient, easyer to type)
		- doesn't update selection while adding or removing items to or
		  from the Actions list

	New and updated translations

		de (Mario Blättermann, Christian Kirbach)
		es (Jorge Gonzalez)

Version 1.12.2
==============

	Release date 2009-10-20

	Fix browsing for a file icon.

Version 1.12.1
==============

	Release date 2009-10-19

	Menubar items have now keyboard accelerators.

	Keep the actions in Nautilus context menu in the same (alphabetical)
	order that in NACT.

	Actions can now be directly dropped into Nautilus views without
	having to run through the Export assistant.

	Make (some) ids unique in Glade-generated UI XML definition file.
	Please note that this is required to prevent 'duplicate id' bug
	in distros which use recent versions of GtkBuilder.

	Bugfixes

		#592781 reported by Jerome Krausz (use explicit format string)

	Various code enhancements

		Use Gtk+ UI Manager.

		BaseApplication base class has been rewritten to get a cleaner api.

		Whole program is now compiled with '-pedantic' option.

		Defines a permanent work-around against #589745 (GtkAssistant)
		so that we can safely proceed with our job in on_assistant_apply()
		without requiring latest Gtk+ version.

	Various documentation enhancements

		Object hierarchy is updated.

	New and updated translations

		de (Mario Blättermann)
		es (Jorge Gonzalez)
		eu (Inaki Larranaga Murgoitio)
		hi (Rajesh Ranjan)
		or (Manoj Kumar Giri)
		pa (A S Alam)
		sl (Andrej Žnidaršič)
		sv (Daniel Nylander)
		te (krishnababu k)

Version 1.12.0
==============

	Release date 2009-08-12

	User is now able to freely enable/disable an action. A disabled action
	never appear in the Nautilus context menu.

	Bugfixes

		#325519 asked by Frederic Ruaudel (enabled property)
		#590398 reported by Pierre Wieser (install doc)
		#590399 reported by Pierre Wieser (gtk_image_menu_item_set_image)
		#590709 reported by Claude Paroz (markup in translatable strings)
		#590711 reported by Claude Paroz (pipe char is ambiguous to translate)

	Various code enhancements

		Do not install GConf schemas if --disable-schemas-install option
		has been specified.

		Remove nautilus-actions subdirectories at uninstall time.

	New and updated translations

		es (Jorge González)
		fr (Laurent Coudeur, Claude Paroz)

Version 1.11.2
==============
 
    Release date 2009-07-30

    Two new parameters are introduced :
    
        %p: expands to the port number from an URI
        %R: expands to a space-separated list of selected URIs
 
    Bugfixes
 
        #325582 reported by Frederic Ruaudel (use GConf)
        #325585 reported by Frederic Ruaudel (delete actions created via gconftool-2)
        #353198 reported by Frederic Ruaudel (single window mode)
        #531301 asked by IceWil (list of selected URIs)
        #576186 asked by gnutered (port of the URI)
        #580378 reported by James Campos (context menu doesn't update)
        #585652 reported by Claude Paroz (user interface)
        #589698 reported by Andre Klapper (use GtkBuilder)

    New and updated translations

        bn_IN (Runa Bhattacharjee)
        da (Mads Lundby)
        de (Mario Blättermann)
        es (Jorge Gonzalez)
        fr (Claude Paroz)
        gu (Sweta Kothari)
        kn (Shankar Prasad)
        mr (Sandeep Shedmake)
        or (Manoj Kumar Giri)
        pa (A S Alam)
        sv (Daniel Nylander)
        ta (ifelix)
        te (Krishnababu K.)

    Various code enhancements

        Gnome 3.0 requirements are met :
        - migrated from libglade to GtkBuilder
        - migrated from GnomeVFS to GVFS
        - gets rid of old dependancies

        - adds a dependancy on libunique 1.0
        - requires now Gtk+ 2.12, Glib 2.16

        Command-line utilities are now always built (no more a configure option).

    nautilus-actions-config-tool

         The configuration UI has been renamed from nautilus-actions-config.

         It provides more visual feedback : which actions have been modified, which
         are saveable or not, depending on their validity status. Automatically
         reloads the list of actions if it has been externally modified, depending
         on the modification status of the currently edited actions.

         Import and Export actions are now assistant-driven.
         Actions can be exported as a GConf dump entry (new format).

    nautilus-actions-new

         This utility has been renamed from nautilus-actions-new-config.

         It can be used to create an action, and has been updated to generate
         actions with the new export format, or to directly write the action into
         the GConf repository.

    nautilus-actions-schema

         This new command-line utility writes a GConf schema on stdout.
         Packagers may use it to install a schema.

Version 1.11.0 [unstable]

	Release date 2009-06-09

	This is the first intermediate release in the 1.11 serie.

	It includes a full rewriting of the action/profile object
	hierarchy, along with the system of change notification. It also
	introduces the new NactIIOProvider interface.

	The Nautilus plugin module, which actually takes care of selecting
	actions which will be displayed by Nautilus in item context menu,
	makes a full use of this new object hierarchy.

	The nautilus-actions-config UI always uses the old one.

	Bugfixes

		#580378 reported by James Campos (context menu doesn't update)

	New and updated translations

		de (Mario Blättermann)
		mr (Sandeep Shedmake)
		or (Manoj Kumar Giri)

Version 1.10.1
==============

	Release date 2009-05-29

	Nota:
		Last official release was 1.4.1 (05/2007) and is always available
		at http://www.grumz.net/?q=taxonomy/term/6/9 

		In the meantime (10/2008), some distributions have packaged and
		released the current state of the svn trunk (rev.510) ; they have
		generally called it 1.9 (sometimes 1.9b) ; this was _not_ an
		official release (though we can think it has been correctly
		tested ;-)) 

	Profiles
	
		The "profile" feature has been developed by Frederic Ruaudel
		(previous maintainer and original author of Nautilus-actions).
		It has been included in the intermediate version 1.9x without
		having thoroughly tested ; I have chosen to left it in this
		version to not create backward compatibility problems for the
		users of these distributions, but be warned : use with caution.

	Bugfixes

		Fixes #522605 reported by Andre Klapper (i18n)
		Fixes #573365 reported by Sergej (i18n)
		Fixes #574919 by Bruce van der Kooij (gnome_vfs_init)
		Fixes #568366 by Stéphane Raimbault (i18n)

	Translations

		ar (Djihed Afifi)
		ca (Sílvia Miranda)
		de (Mario Blättermann, Andre Klapper)
		dz (Pema Geyleg)
		el (Kostas Papadimas)
		en (David Lodge, Adam Weinberger, Philip Withnall)
		es (Jorge Gonzalez)
		eu (Inaki Larranaga Murgoitio)
		fi (Ilkka Tuohela)
		fr (Claude Paroz, Stéphane Raimbault)
		it (Milo Casagrande)
		ko (Changwoo Ryu)
		mr (Milo Casagrande)
		nb (Kjartan Maraas)
		oc (Yannig Marchegay)
		pa (Amanpreet Singh Alam)
		pl (Wadim Dziedzic)
		pt (Duarte Loreto, Og Maciel, Jonh Wendell)
		sv (Daniel Nylander)

	Various code enhancements
	
		All compilations warnings have been fixed, all code is now
		fully ansi-compliant, though not (yet ?) pedantic (Pierre Wieser)

		Introduce new intltool (Christian Persch)

		Double-clicking on an action now directly opens the editor
	
